const PRODUCT_NAME = "{{PRODUCT_NAME}}", // Gizmo die Eidechse
  PRODUCT_COLOR = "{{PRODUCT_COLOR}}", // Farbe Grün/Blau/Orange
  PRODUCT_COLOR_CHARACTERISTICS = "{{PRODUCT_COLOR_CHARACTERISTICS}}", // (Glänzend)
  PRODUCT_ID = "{{PRODUCT_ID}}", // #32420
  LABEL_PAPER_POSITION = "{{LABEL_PAPER_POSITION}}"; // could be a number between 1 and 12 or combination like 1,3,7

const labelPaperPosition = LABEL_PAPER_POSITION.split(",");

/*
const PRODUCT_NAME = "Gizmo die Eidechse",
  PRODUCT_COLOR = "Farbe Grün/Blau/Orange",
  PRODUCT_COLOR_CHARACTERISTICS = "(Glänzend)",
  PRODUCT_ID = "#32420"; */

window.onload = () => {
  for (let i = 1; i <= 12; i++) {
    let labels = document.getElementById("labels");

    /* CONTAINER */

    const label = document.createElement("div");
    label.className = "label";

    if (labelPaperPosition.indexOf(i.toString()) !== -1) {
      /* FIRST */

      const backgroundImage = document.createElement("div");
      backgroundImage.className = "background-image";

      const content = document.createElement("div");
      content.className = "content";

      const productName = PRODUCT_NAME.split(" ");

      const productNameFirst = document.createElement("h1");
      productNameFirst.innerHTML = productName[0];

      const productNameRemainingPart = document.createElement("h1");
      productNameRemainingPart.innerHTML = productName.slice(1).join(" ");
      productNameRemainingPart.style = "margin: 0";

      const productColor = document.createElement("p");
      productColor.innerHTML = PRODUCT_COLOR;
      productColor.className = "product-color";

      const productColorCharacteristics = document.createElement("p");
      productColorCharacteristics.innerHTML = PRODUCT_COLOR_CHARACTERISTICS;
      productColorCharacteristics.className = "product-color";

      const productId = document.createElement("p");
      productId.innerHTML = PRODUCT_ID;
      productId.className = "product-id";

      content.appendChild(productNameFirst);
      content.appendChild(productNameRemainingPart);
      content.appendChild(productColor);
      content.appendChild(productColorCharacteristics);
      content.appendChild(productId);

      /* container */

      const container = document.createElement("div");
      container.className = "container";

      const childrenImg = document.createElement("img");
      childrenImg.src = "../../groupsData/shx-product-label/children.png";
      childrenImg.alt = "children";
      childrenImg.className = "children";

      const manufacturerInfo = document.createElement("div");
      manufacturerInfo.className = "manufacturer-info";

      const manufacturer = document.createElement("p");
      manufacturer.innerHTML = "Hersteller:";

      const manufacturer2 = document.createElement("p");
      manufacturer2.innerHTML = "Jan Umbach";

      const manufacturer3 = document.createElement("p");
      manufacturer3.innerHTML = "Klosterstraße 10";

      const manufacturer4 = document.createElement("p");
      manufacturer4.innerHTML = "D-34286 Spangenberg";

      manufacturerInfo.appendChild(manufacturer);
      manufacturerInfo.appendChild(manufacturer2);
      manufacturerInfo.appendChild(manufacturer3);
      manufacturerInfo.appendChild(manufacturer4);

      const ceImg = document.createElement("img");
      ceImg.src = "../../groupsData/shx-product-label/ce.svg";
      ceImg.alt = "ce";
      ceImg.className = "ce";

      container.appendChild(childrenImg);
      container.appendChild(manufacturerInfo);
      container.appendChild(ceImg);

      content.appendChild(container);

      label.appendChild(backgroundImage);
      label.appendChild(content);
    }

    labels.appendChild(label);
  }
};
